﻿.modal-title {
    font-size: 1.25rem;
    font-weight: bold;
    /*color: #021526;*/
    font-family: 'Poppins', sans-serif;
}

/* Labels and Text */
label {
    font-size: 0.75rem;
    font-weight: 300;
    /*color: #373b3E;*/
    padding: 0 0 5px;
}

.card {
    margin-bottom: 5px;
}

.container {
    margin: 5px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 100%;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
    padding: 0.625rem;
    margin-top: 10px;
}

/* Form Groups */
.container .form-group {
    margin-top: 0.625rem;
    margin-left: 0.625rem;
}

.container .form-switch {
    margin-top: 7px;
}

/* Form Controls */
.form-control, .form-select {
    max-width: 100%;
    border-radius: 5px;
    border: 1px solid #d1d1d1;
    font-size: 0.875rem;
    /*color: #373b3E;*/
    padding: 10px 15px;
    height: 40px;
    font-family: 'Poppins', sans-serif;
}

    .form-control:hover {
        border: 1px solid #f2f2f2; /* Hover border color */
    }

option {
    font-size: 0.75rem;
    font-weight: 300;
    /* color: #373b3E;*/
    font-family: 'Poppins', sans-serif;
}

/* Button Styles */
.btn-close {
    /*color: #E72929;*/
}

    .btn-close:hover {
        color: #ff8282;
    }

.secBtn {
    display: flex;
    border-radius: 5px;
    font-size: 0.875rem;
    font-family: 'Poppins', sans-serif;
    background-color: #1b1b1b;
    color: white;
    margin-left: 3px;
    justify-content: center;
    height: 37px;
}
.generalsetup {
    display: flex;
    flex-direction: column;
    margin-top: 0;
    max-height: calc(100vh - 160px);
}
th {
    color: grey;
    font-weight: 300;
    font-size: 12px;
}

tr {
    height: 30px;
    font-size: 14px;
}
.secBtn:hover {
    background-color: #1b1b1b;
    color: #fff;
    border-color: #1b1b1b;
}

/* When clicked or focused */
.secBtn:focus,
.secBtn:focus-visible,
.secBtn:active {
    background-color: #1b1b1b !important;
    color: #fff !important;
    border: 2px solid #4A90E2 !important; /* Blue border */
    box-shadow: 0 0 0 2px rgba(74,144,226,.25);
    outline: none;
}
.table-fixed {
    height: 200px;
    overflow-y: auto;
    border: 1px solid #dee2e6;
}